class CreateSpecificMapItems < ActiveRecord::Migration
  def change
    create_table :specific_map_items do |t|
      t.references :specific_map, index: true
      t.decimal :g_latitude, :decimal, {:precision=>10, :scale=>6}
      t.decimal :g_longitude, :decimal, {:precision=>10, :scale=>6}
      t.string :g_text
      t.string :titre
      t.string :name
      t.string :firstname
      t.string :organisation
      t.string :address
      t.string :cp
      t.string :city
      t.string :country
      t.string :tel
      t.string :email
      t.string :website
      t.string :notes

      t.timestamps null: false
    end
    add_foreign_key :specific_map_items, :specific_maps
  end
end
